Bug 218385 - [exp-run] test build with bsdgrep installed as /usr/bin/grep
Summary: [exp-run] test build with bsdgrep installed as /usr/bin/grep
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on: 218613 218614 218615 218616 218617 218638 218639 218690 218691 218811 220054
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-05 00:37 UTC by Ed Maste
Modified: 2017-06-26 02:01 UTC (History)
2 users (show)

See Also:


Attachments
enable BSD grep and disable GNU grep (10.72 KB, patch)
2017-04-05 00:37 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2017-04-05 00:37:00 UTC
Created attachment 181496 [details]
enable BSD grep and disable GNU grep

Work is now in progress to fix bsdgrep issues, and we'd eventually like to disable GNU grep and install BSD grep as /usr/bin/grep. The attached patch makes that change, and I'd like to request a (low priority) exp run so that we can determine the extent of the fallout.

The attached patch also disables GNU_GREP_COMPAT by default, which is another planned change (in https://reviews.freebsd.org/D10114).
Comment 1 Kyle Evans freebsd_committer 2017-04-13 01:02:18 UTC
Hi,

Some additional failures that will be fixed when D10333 [1] lands:

* devel/jsonnet
* devel/matreshka

Failures not yet addressed:

* net-im/folks (GNU Extension? empty branch -- needs textproc/gnugrep)
* astro/geographiclib (GNU Extension; word boundaries, \b -- needs textproc/gnugrep)

Failures that seem to have appeared but I suspect are unrelated:

* devel/icmake (I thought this was a D10333 thing, but it seems to build fine w/ -HEAD locally)
* virtualbox-*
* accessibility/orca
* sysutils/py3-iocage
* print/lilypond-devel
* devel/anjuta-extras
* lang/myrddin

[1] https://reviews.freebsd.org/D10333
Comment 2 Kyle Evans freebsd_committer 2017-04-13 17:52:49 UTC
I believe that, as of now, I have created PRs w/ patches for all known issues outside of the previously mentioned Phabricator review.
Comment 3 Antoine Brodin freebsd_committer 2017-04-16 13:16:13 UTC
New failures:

+ {"origin"=>"accessibility/orca", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"astro/geographiclib", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/icmake", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/jsonnet", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/matreshka", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/quilt", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"dns/opendnssec13", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"emulators/virtualbox-ose-additions", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/virtualbox-ose-additions-nox11", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/virtualbox-ose-kmod", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"mail/archiveopteryx", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"mail/archiveopteryx-devel", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"math/eukleides", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"net-im/folks", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/lilypond-devel", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"sysutils/e2fsprogs", "phase"=>"build", "errortype"=>"???"}

Failure logs:

http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/orca-3.18.2.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/geographiclib-1.46_1.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/icmake-7.22.01.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/jsonnet-0.9.3_1.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/matreshka-0.7.0_1.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/quilt-0.65.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/opendnssec13-1.3.18_1.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/virtualbox-ose-additions-5.1.18.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/virtualbox-ose-additions-nox11-5.1.18.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/virtualbox-ose-kmod-5.1.18.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/archiveopteryx-3.2.0_7.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/archiveopteryx-devel-3.2.99.20160129_3.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/eukleides-1.5.4_3.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/folks-0.11.1.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/lilypond-devel-2.19.57.log
http://pb2.nyi.freebsd.org/data/headamd64PR218385-default/2017-04-09_09h40m49s/logs/errors/e2fsprogs-1.43.4.log

You may wonder about the easy-install failure,  Mk/Uses/python.mk uses grep:

        ${GREP} -e '^bin/.*$$\|^sbin/.*$$\|^libexec/.*$$'
        ${GREP} -he '^bin/.*$$\|^sbin/.*$$\|^libexec/.*$$' ${TMPPLIST} 2>/dev/null
Comment 4 Kyle Evans freebsd_committer 2017-04-16 17:06:10 UTC
(In reply to Antoine Brodin from comment #3)

Excellent, thanks! I thought I had combed over all Mk/ usage of grep(1), but I clearly did not. 218690 and 218691 have been submitted to cover Uses/python.mk and an additional usage in bsd.port.mk, both of which are solved by using egrep where appropriate.

I think the virtualbox-* failures are fixed by r438196, a fallout from clang stuff.

All of the other failures are addressed in dependent PRs of this one or D10333. =)